package request

// BulletChatAddReq 新增弹幕请求体
type BulletChatAddReq struct {
	Content     string  `json:"content" description:"弹幕内容"`
	Seconds     float64 `json:"seconds" description:"时间点"`
	Source      int     `json:"source" description:"弹幕来源: 1-视频社区; 2-线上路演"`
	SourceAgent int     `json:"source_agent" description:"来源: 1-小程序; 2-小程序PC端; 3-弘则研究公众号; 4-Web PC"`
	PrimaryId   int     `json:"primary_id" description:"视频社区/线上路演ID"`
}
