package voice_section

type VoiceSection struct {
	SectionId   int    `gorm:"primaryKey;column:section_id;" description:"板块id"`
	SectionName string `description:"板块名称"`
	VarietyId   int    `description:"品种id"`
	VarietyName string `description:"品种名称"`
	Status      int    `description:"角色状态"`
	ImgUrl      string `description:"背景图url"`
	CreateTime  string `description:"创建时间"`
}

// TableName 表名变更
func (voiceSection *VoiceSection) TableName() string {
	return "yb_voice_section"
}
