package yb_like

import "time"

// YbLike 研报 点赞
type YbLike struct {
	LikeId                 uint64 `gorm:"primaryKey;column:like_id;type:bigint(20) unsigned;not null" json:"like_id" ` //消息序号
	UserId                 uint64 `gorm:"column:user_id"  json:"user_id" ` //用户id
	Enabled                int8 `gorm:"column:enabled"  json:"enabled" ` //状态. 0-已取消赞 1-有效赞
	CreateTime             time.Time `gorm:"column:create_time"  json:"create_time" ` //创建时间
	ModifyTime             time.Time `gorm:"column:modify_time"  json:"modify_time" ` //修改时间
	ReportId               int `gorm:"column:report_id"  json:"report_id" ` //报告ID
	ReportChapterId        int `gorm:"column:report_chapter_id" json:"report_chapter_id" ` //报告章节ID
	SourceAgent            int `gorm:"column:source_agent"` //留言入口来源，1：小程序，2：pc
	OldReportId               int `gorm:"column:old_report_id"  json:"old_report_id" ` //老报告ID
	OldReportChapterId        int `gorm:"column:old_report_chapter_id" json:"old_report_chapter_id" ` //老报告章节ID
}

func (yl *YbLike) TableName() string {
	return "yb_like"
}